import request from '@/utils/request'

// 底腿获取暂存(最新)
export function getLowerStaging(param) {
	return request({
		'url': '/zdsz/engineeringCivil/lowerStaging',
		'method': 'get',
		'data': param
	})
}
// 工业工程修改(最新)
export function PutengineeringNew(engineering) {
	return request({
		'url': '/zdsz/engineeringGY',
		'method': 'put',
		'data': engineering
	})
}

// 工业工程新增
export function SubmitengineeringNew(engineering) {
	return request({
		'url': '/zdsz/engineeringGY',
		'method': 'post',
		'data': engineering
	})
}
// 工业工程   详情  根据id 查询
export function getEngineeringDetailsNew(id) {

	return request({
		'url': '/zdsz/engineeringGY/' + id,
		'method': 'get',

	})
}
// 工业工程  根据工程类型查询工程列表
export function getengineeringNameListNew(enginType, enginClassification) {
	const data = {

		enginType,
		enginClassification
	}
	return request({
		'url': '/zdsz/engineeringGY/queryByType',
		'method': 'get',
		'data': data
	})
}
// 获取碰口历史详情
export function getHistoryMouthDetails(id, type) {

	return request({
		'url': '/zdsz/touchOperationEngineering/query/' + id + '/' + type,
		'method': 'get',
	})
}
// 碰口工程新增/修改
export function SubmitMouth(type, param) {
	let method = type == 'new' ? 'post' : 'put'
	return request({
		'url': '/zdsz/touchOperationEngineering',
		'method': method,
		'data': param
	})
}

// 碰口工程获取项目名称列表
export function getProjectName(modeOperation, pageSize, pageNumber) {
	const data = {
		modeOperation,
		pageSize,
		pageNumber
	}
	return request({
		'url': '/zdsz/touchOperationEngineering/list',
		'method': 'get',
		'data': data
	})
}

// 获取节点类型
export function getByUserListAndDicts(id) {

	return request({
		'url': '/zdsz/engineeringIndustry/getByUserListAndDicts/' + id,
		'method': 'get',
	})
}
// 获取市政历史详情
export function getHistoryMunicipalDetails(id, name) {

	return request({
		'url': '/zdsz/engineeringIndustry/' + id + '/' + name,
		'method': 'get',
	})
}
//基建工程修改
export function PutInfrastructure(param) {
	return request({
		'url': '/zdsz/engineeringInfrastructure',
		'method': 'put',
		'data': param
	})
}
// 获取顶管历史详情
export function getHistoryInfrastructureDetails(id, name) {

	return request({
		'url': '/zdsz/engineeringInfrastructure/' + id + '/' + name,
		'method': 'get',
	})
}
//顶管工程修改
export function PutTopPipeWork(param) {
	return request({
		'url': '/zdsz/engineeringPipeJacking',
		'method': 'put',
		'data': param
	})
}
// 获取顶管历史详情
export function getHistoryTopTubeDetails(id, name) {

	return request({
		'url': '/zdsz/engineeringPipeJacking/' + id + '/' + name,
		'method': 'get',
	})
}
// 工业工程修改(新)
export function Putengineering(engineering) {
	return request({
		'url': '/zdsz/engineeringIndustry',
		'method': 'put',
		'data': engineering
	})
}

// 获取工业历史详情
export function getHistoryEnginprojectDetails(id, name) {

	return request({
		'url': '/zdsz/engineeringIndustry/query/' + id + '/' + name,
		'method': 'get',
	})
}
export function getHistoryByUserList(param) {
	//type 1 = 顶管， 2=基建 3=危险 4= 市政 5= 工业
	return request({
		'url': '/zdsz/engineeringIndustry/getByUserList',
		'method': 'get',
		'data': param
	})
}
// 获取  开栓详情
export function getOpenBoltHistoryDetails(id) {

	return request({
		'url': '/zdsz/engineeringGasOpening/' + id,
		'method': 'get',
	})
}
// 开栓新增
export function AddOpenBolt(type, param, id) {
	let method = type == 'edit' ? 'put' : 'post'
	if (type == 'edit') {
		param['state'] = '2'
		param['id'] = id
	}
	return request({
		'url': '/zdsz/engineeringGasOpening',
		'method': method,
		'data': param
	})
}

// 获取 房间现住人电话
export function getRoomDetails(id) {

	return request({
		'url': '/zdsz/house/' + id,
		'method': 'get',
	})
}

// 未安装新增
export function AddNotInstalled(param) {
	return request({
		'url': '/zdsz/enginNotInstalled',
		'method': 'post',
		'data': param
	})
}
// 修改历史
export function putHistory(param) {
	return request({
		'url': '/zdsz/engineeringCivil',
		'method': 'put',
		'data': param
	})
}
// 获取历史详情
export function getHistoryDetails(id, name) {

	return request({
		'url': '/zdsz/engineeringCivil/' + id + '/' + name,
		'method': 'get',
	})
}

export function getKShistoryList(param) {

	return request({
		'url': '/zdsz/engineeringGasOpening/list',
		'method': 'get',
		'data': param
	})
}
//  通过身份查询历史 
export function gethistoryList(param) {

	return request({
		'url': '/zdsz/engineeringCivil/list',
		'method': 'get',
		'data': param
	})
}
// 新增拆旧管
export function openBolt(param) {
	return request({
		'url': '/zdsz/openbolt',
		'method': 'post',
		'data': param
	})
}
//  修改房间信息
export function putRoomDetails(id, newPhone) {
	const data = {
		id,
		newPhone

	}
	return request({
		'url': '/zdsz/house/editById',
		'method': 'post',
		'data': data
	})
}
//  通过身份证查询房间信息 
export function getRoomDetailsIDCard(idCard) {
	const data = {
		idCard,

	}
	return request({
		'url': '/zdsz/house/getHousesByIdCard',
		'method': 'get',
		'data': data
	})
}

// 获取公告列表
export function getNoticeList(noticeType, pageNum, pageSize) {
	const data = {
		noticeType,
		pageNum,
		pageSize

	}
	return request({
		'url': '/system/notice/listApp',
		'method': 'get',
		'data': data
	})
}
export function getInfrastructureList(id, type) {
	return request({
		'url': '/zdsz/engineeringInfrastructure/' + id + '/' + type,
		'method': 'get',
	})
}

//基建工程新增
export function SubmitInfrastructure(param) {
	return request({
		'url': '/zdsz/engineeringInfrastructure/AddApp',
		'method': 'post',
		'data': param
	})
}
//查询基建工程详情
export function getInfrastructureDetails(id) {
	return request({
		'url': '/zdsz/engineeringInfrastructure/' + id,
		'method': 'get',
	})
}
//基建工程查询工程名称
export function getInfrastructureNameList() {
	return request({
		'url': '/zdsz/engineeringInfrastructure/select',
		'method': 'get',

	})
}
//危险作业工程修改详情
export function updateDangerousWorkProject(param) {
	return request({
		'url': '/zdsz/engineeringDangerous',
		'method': 'put',
		'data': param,
	})
}

// 获取顶管工程历史
export function getTopPipeHistoryList(id, type) {
	return request({
		'url': '/zdsz/engineeringPipeJacking/' + id + '/' + type,
		'method': 'get',
	})
}

//顶管工程新增
export function SubmitTopPipeWork(param) {
	return request({
		'url': '/zdsz/engineeringPipeJacking/AppAdd',
		'method': 'post',
		'data': param
	})
}

//查询顶管工程详情
export function getTopPipeWorkDetails(id) {
	return request({
		'url': '/zdsz/engineeringPipeJacking/' + id,
		'method': 'get',
	})
}
//顶管工程查询名称
export function getTopPipeNameList() {
	return request({
		'url': '/zdsz/engineeringPipeJacking/queryListNew',
		'method': 'get',

	})
}
//危险作业工程下拉列表查询
export function getDangerousWorkProjectList(param) {
	return request({
		'url': '/zdsz/engineeringDangerous/nameAndIdList',
		'method': 'get',
		'data': param
	})
}

//查询危险作业工程详情
export function getDangerousWorkProjectDetails(id) {
	return request({
		'url': '/zdsz/engineeringDangerous/query/' + id,
		'method': 'get',
	})
}

// 获取工业工程历史new
export function getEngineeringHistoryListNew(id, type) {

	return request({
		'url': '/zdsz/engineeringGY/' + id + '/' + type,
		'method': 'get',
	})
}
// 获取工业工程历史
export function getEngineeringHistoryList(id, type) {

	return request({
		'url': '/zdsz/engineeringIndustry/' + id + '/' + type,
		'method': 'get',
	})
}

// 工业工程  市政工程 详情  根据id 查询
export function getEngineeringDetails(id) {

	return request({
		'url': '/zdsz/engineeringIndustry/' + id,
		'method': 'get',

	})
}

// 工业工程  市政工程 - 根据工程类型查询列表
export function getengineeringNameList(enginType, type, enginClassification) {
	const data = {
		enginType,
		type,
		enginClassification
	}
	return request({
		'url': '/zdsz/engineeringIndustry/queryNameByType',
		'method': 'get',
		'data': data
	})
}

// 根据小区楼栋单元 获取工程用料统计（areaId(string) 小区ID realityQuality材质 realitySpecifications 规格）
export function getMunicipalStatisticsData(param) {
	return request({
		'url': '/zdsz/materialStatistics/list',
		'method': 'post',
		'data': param
	})
}
// 根据楼栋小区单元楼栋 查询完成情况统计（areaId(string) 小区ID buildingId单元  unitId楼栋）
export function getObtainRoomcCompletionInformationList(param) {
	return request({
		'url': '/zdsz/engineeringCivil/getObtainRoomcCompletionInformationList',
		'method': 'post',
		'data': param
	})
}
// 新增（提交）市政工程(新)
export function submitMunicipalData(param) {
	return request({
		'url': '/zdsz/engineeringIndustry',
		'method': 'post',
		'data': param
	})
}

// 工业工程修改
export function Submitengineering(engineering) {
	return request({
		'url': '/zdsz/engineeringIndustry',
		'method': 'put',
		'data': engineering
	})
}
// 获取房间工程历史
export function getRoomProjectList(id, type) {

	return request({
		'url': '/zdsz/engineeringCivil/' + id + '/' + type,
		'method': 'get',
	})
}
// 查询房间是否有工程
export function getRoomProjectId(room) {

	return request({
		'url': '/zdsz/engineeringCivil/query',
		'method': 'post',
		'data': room
	})
}
// 材质规格下拉
export function getEnginSpecificationsList(materId) {
	const data = {
		materId
	}
	return request({
		'url': '/zdsz/enginSpecifications/getEnginSpecificationsList',
		'method': 'get',
		'data': data
	})
}

// 工程材质下拉
export function getEnginMaterialQualityList(enginType, enginSort, enginNode, enginStep, nameType) {
	const data = {
		enginType
	}
	if (enginSort !== undefined) {
		data['enginSort'] = enginSort
		data['enginNode'] = enginNode
		data['enginStep'] = enginStep
	}
	if (nameType !== undefined) {
		data['nameType'] = nameType
	}
	return request({
		'url': '/zdsz/enginMaterialQuality/getEnginMaterialQualityList',
		'method': 'get',
		'data': data
	})
}
// 新增拆旧管
export function addTearOldPipe(param) {
	return request({
		'url': '/zdsz/engineeringCivil',
		'method': 'post',
		'data': param
	})
}

// 获取小区字典值
export function getAreaList(district) {
	const data = {
		district
	}
	return request({
		'url': '/zdsz/area/getAreaList',
		'method': 'get',
		'data': data
	})
}
// 获取楼宇字典值
export function getBuildingList(areaId) {
	const data = {
		areaId
	}
	return request({
		'url': '/zdsz/building/getBuildingList',
		'method': 'get',
		'data': data
	})
}
// 获取单元字典值
export function getUnitList(buildingId) {
	const data = {
		buildingId
	}
	return request({
		'url': '/zdsz/unit/getUnitList',
		'method': 'get',
		'data': data
	})
}
// 获取房间字典值
export function getHousesList(unitId) {
	const data = {
		unitId
	}
	return request({
		'url': '/zdsz/house/getHousesList',
		'method': 'get',
		'data': data
	})
}

// 列表选择带气封堵施工工程
export function getGasSealingProjectList(enginType) {
	const data = {
		enginType
	}
	return request({
		'url': '/zdsz/engineeringAirWall/list',
		'method': 'get',
		'data': data
	})
}
//新增/修改 带气封堵施工工程
export function submitGasSealingProject(param) {
	return request({
		'url': '/zdsz/engineeringAirWall',
		'method': 'put',
		'data': param
	})
}

//新增/修改 带气封堵施工历史
export function submitGasSealingHistory(param) {
	return request({
		'url': '/zdsz/engineeringAirWall/updateNodeByBo',
		'method': 'put',
		'data': param
	})
}

//列表 带气封堵施工工程
export function getGasSealingHistoryList(id, type) {
	return request({
		'url': '/zdsz/engineeringAirWall/' + id + '/' + type,
		'method': 'get',
	})
}

//统计 工业/市政/顶管/碰口
export function getProjectStatisticsData(id, type) {
	return request({
		'url': '/zdsz/engineeringWasteMaterial/' + id + '/' + type,
		'method': 'get',
	})
}
//工业工程进度详情
export function getIndustryProjectScheduleDetails(id, type) {
	return request({
		'url': '/zdsz/engineeringGY/' + id + '/' + type,
		'method': 'get',
	})
}
//市政工程进度详情
export function getMunicipalProjectScheduleDetails(id, type) {
	return request({
		'url': '/zdsz/engineeringIndustry/' + id + '/' + type,
		'method': 'get',
	})
}
//顶管工程进度详情
export function getTopTubeProjectScheduleDetails(id, type) {
	return request({
		'url': '/zdsz/engineeringPipeJacking/' + id + '/' + type,
		'method': 'get',
	})
}
//碰口工程进度详情
export function getCollisionProjectScheduleDetails(id, type) {
	return request({
		'url': '/zdsz/touchOperationEngineering/query/' + id + '/' + type,
		'method': 'get',
	})
}